/*
 Problema: dado as notas finais, o numero de faltas e
 o sexo (f = feminino, m = masculino) dos n alunos de
 informatica, calcular e imprimir:
  . a maior nota da turma;
  . a nota final media  da turma;
  . a quantidade de alunos do sexo feminino e aprovados.

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o tamaho da turma (valor de "n");
  3 - repeticao para:
       3.1 - ler a nota final de um aluno, de cada vez;
       3.2 - ler o numero de faltas desse aluno;
       3.3 - ler o sexo desse aluno;
       3.4 - selecionar a maior nota final, lida;
       3.5 - somar  as notas finais;
       3.6 - selecionar as alunas e contar as alunas aprovadas;
  4 - calcular a nota final media da turma;
  5 - imprimir os valores obtidos nos passos anteriores.

 descricao das variaveis
  n - tamanho da turma (numero de alunos - numero de repeticoes)
  i - contador de repeticao (indice - controlador da repeticao)
  nFalt - numero de faltas de um aluno
  nAlunasAprov - contador do numero de alunas aprovadas
  nota - nota final de um aluno
  maiorNota - maior nota final da turma
  somaNota - soma das notas finais, dos alunos
  notaMedia - media aritmetica das notas finais, dos alunos
  sexo - sexo de um aluno
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */
#include <conio.h>  /* para usar: getch */

int main ()
{
  int n; /* tamanho da turma = numero de repeticao */
  int i; /* contador de repeticao */
  int nFalt; /* numero de faltas de um aluno */
  int nAlunasAprov; /* contador do numero de alunas aprovadas */
  float nota; /* nota final de um aluno */
  float maiorNota; /* maior nota final da turma */
  float somaNota; /* soma das notas finais, dos alunos */
  float notaMedia; /* media aritmetica das notas finais, dos alunos */

  char sexo; /* sexo de um aluno */

  //define valores iniciais
  somaNota = 0;
  nAlunasAprov = 0;
  maiorNota = 0;

  printf("\nDigite o tamanho da turma (n): ");
  scanf("%d", &n);
  printf("\nDigite os dados dos alunos:\n");
  i = 1; //ler os dados do primeiro aluno
  while(i <= n)
  {
	  printf("\n\nNota aluno %d: ",i);
	  scanf("%f", &nota); //leitura da nota final do i-esimo aluno
	  printf("Faltas aluno %d: ",i);
	  scanf("%d", &nFalt); //leitura do numero de faltas do i-esimo aluno
	  printf("Sexo aluno %d (f= fem, m= masc): ",i);
    //fflush (stdin); //limpar buffer do teclado se for usar scanf("%c", &sexo);
    sexo = getche(); //leitura do sexo do i-esimo aluno
	  if(nota > maiorNota) //selecionar a maior nota final
	  {
	    maiorNota = nota; //atualiza o valor da maior nota final
	  }
	  somaNota = somaNota + nota; //somar as notas finais
	  //contar as alunas aprovadas
	  if( (sexo == 'f') && (nota >= 60) && (nFalt <= 16) ) //selecionar as alunas aprovadas
	  {
        nAlunasAprov = nAlunasAprov + 1; //contar as alunas aprovadas
      }//fim de selecionar as alunas

      i = i + 1; //incrementa contador, para processar os dados do proximo aluno
  }//fim-while
  notaMedia = somaNota/n; //nota final media da turma

  //imprimir os valores obtidos nos passos anteriores
  printf ("\n\nA maior nota final da turma: %0.0f", maiorNota);
  printf ("\nA nota final media da turma: %0.2f", notaMedia);

  printf ("\nA quantidade de alunos na turma do sexo feminino e aprovados: %d", nAlunasAprov);

  return 0;
}
