/*
 Problema: dado um numero inteiro n>0, gerar e imprimir
 a seguencia dos n-primeiros numeros naturais. Isto eh dado
 um numero inteiro n>0, obter a sequencia: 1, 2, 3, 4, ..., n

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - gerar um elemento da sequencia (um de cada vez);
       3.2 - imprimir o valor gerado;

 descricao das variaveis - declare
  n - numero de elementos a serem gerados(numero de repeticoes)
  i - contador de repeticao, usado na formula para
      obter a sequencia de numeros
  x - guarda o numero gerado, em cada passo
*/

#include <stdio.h>   /* arquivo de inclusao para entrada e saida, para usar: scanf e printf */

int main ()
{
  int n; /* numero de repeticao */
  int i; /* contador de repeticao */
  int x; /* nmero gerado, elemento da sequencia  */

  printf ("\nDigite o valor de n: ");
  scanf ("%d", &n);
  printf ("\nSequencia gerada: ");
  i = 1; //gerar o primeiro elemento
  while (i <= n)
  {//inicio-while
    x = i;
    printf (" %d", x); //escreve o valor de x (numero natural, gerado no passo i)
    i = i + 1; //contar, e gerar o prximo elemento
  }//fim-while

  printf ("\n"); //vai para uma nova linha - saltar linha
  return 0;
}
